Subject: Re: bug#45098: 28.0.50; gnu-elpa: if user says `no' to install package, it aborts the previous function invoked

From: Lars Ingebrigtsen <[email-masked]>
Date: Mon, 07 Dec 2020 16:55:35 +0100

Jean Louis <[email-masked]> writes:

> I am using M-x sql-postgres and when invoked with gnu-elpa package
> installed it asks me to install sql-indent, but I say no and on saying
> no it aborts my action and I cannot even reach to sql-postgres
> mode. To reach it I have to invoke M-x sql-postgres second time

I can confirm this problem.  I had a peek at gnu-elpa, but decoding the
control flow was beyond what I could do in 30 seconds.  Stefan?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no